diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/csma-system-test-suite.cc ns-3.42/src/test/csma-system-test-suite.cc
--- ns-3.41/src/test/csma-system-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/csma-system-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -1243,16 +1243,16 @@
 };
 
 CsmaSystemTestSuite::CsmaSystemTestSuite()
-    : TestSuite("csma-system", UNIT)
+    : TestSuite("csma-system", Type::UNIT)
 {
-    AddTestCase(new CsmaBridgeTestCase, TestCase::QUICK);
-    AddTestCase(new CsmaBroadcastTestCase, TestCase::QUICK);
-    AddTestCase(new CsmaMulticastTestCase, TestCase::QUICK);
-    AddTestCase(new CsmaOneSubnetTestCase, TestCase::QUICK);
-    AddTestCase(new CsmaPacketSocketTestCase, TestCase::QUICK);
-    AddTestCase(new CsmaPingTestCase, TestCase::QUICK);
-    AddTestCase(new CsmaRawIpSocketTestCase, TestCase::QUICK);
-    AddTestCase(new CsmaStarTestCase, TestCase::QUICK);
+    AddTestCase(new CsmaBridgeTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new CsmaBroadcastTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new CsmaMulticastTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new CsmaOneSubnetTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new CsmaPacketSocketTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new CsmaPingTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new CsmaRawIpSocketTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new CsmaStarTestCase, TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3tc/fq-cobalt-queue-disc-test-suite.cc ns-3.42/src/test/ns3tc/fq-cobalt-queue-disc-test-suite.cc
--- ns-3.41/src/test/ns3tc/fq-cobalt-queue-disc-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/ns3tc/fq-cobalt-queue-disc-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -1718,16 +1718,16 @@
 };
 
 FqCobaltQueueDiscTestSuite::FqCobaltQueueDiscTestSuite()
-    : TestSuite("fq-cobalt-queue-disc", UNIT)
+    : TestSuite("fq-cobalt-queue-disc", Type::UNIT)
 {
-    AddTestCase(new FqCobaltQueueDiscNoSuitableFilter, TestCase::QUICK);
-    AddTestCase(new FqCobaltQueueDiscIPFlowsSeparationAndPacketLimit, TestCase::QUICK);
-    AddTestCase(new FqCobaltQueueDiscDeficit, TestCase::QUICK);
-    AddTestCase(new FqCobaltQueueDiscTCPFlowsSeparation, TestCase::QUICK);
-    AddTestCase(new FqCobaltQueueDiscUDPFlowsSeparation, TestCase::QUICK);
-    AddTestCase(new FqCobaltQueueDiscEcnMarking, TestCase::QUICK);
-    AddTestCase(new FqCobaltQueueDiscSetLinearProbing, TestCase::QUICK);
-    AddTestCase(new FqCobaltQueueDiscL4sMode, TestCase::QUICK);
+    AddTestCase(new FqCobaltQueueDiscNoSuitableFilter, TestCase::Duration::QUICK);
+    AddTestCase(new FqCobaltQueueDiscIPFlowsSeparationAndPacketLimit, TestCase::Duration::QUICK);
+    AddTestCase(new FqCobaltQueueDiscDeficit, TestCase::Duration::QUICK);
+    AddTestCase(new FqCobaltQueueDiscTCPFlowsSeparation, TestCase::Duration::QUICK);
+    AddTestCase(new FqCobaltQueueDiscUDPFlowsSeparation, TestCase::Duration::QUICK);
+    AddTestCase(new FqCobaltQueueDiscEcnMarking, TestCase::Duration::QUICK);
+    AddTestCase(new FqCobaltQueueDiscSetLinearProbing, TestCase::Duration::QUICK);
+    AddTestCase(new FqCobaltQueueDiscL4sMode, TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc ns-3.42/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc
--- ns-3.41/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -1768,16 +1768,16 @@
 };
 
 FqCoDelQueueDiscTestSuite::FqCoDelQueueDiscTestSuite()
-    : TestSuite("fq-codel-queue-disc", UNIT)
+    : TestSuite("fq-codel-queue-disc", Type::UNIT)
 {
-    AddTestCase(new FqCoDelQueueDiscNoSuitableFilter, TestCase::QUICK);
-    AddTestCase(new FqCoDelQueueDiscIPFlowsSeparationAndPacketLimit, TestCase::QUICK);
-    AddTestCase(new FqCoDelQueueDiscDeficit, TestCase::QUICK);
-    AddTestCase(new FqCoDelQueueDiscTCPFlowsSeparation, TestCase::QUICK);
-    AddTestCase(new FqCoDelQueueDiscUDPFlowsSeparation, TestCase::QUICK);
-    AddTestCase(new FqCoDelQueueDiscECNMarking, TestCase::QUICK);
-    AddTestCase(new FqCoDelQueueDiscSetLinearProbing, TestCase::QUICK);
-    AddTestCase(new FqCoDelQueueDiscL4sMode, TestCase::QUICK);
+    AddTestCase(new FqCoDelQueueDiscNoSuitableFilter, TestCase::Duration::QUICK);
+    AddTestCase(new FqCoDelQueueDiscIPFlowsSeparationAndPacketLimit, TestCase::Duration::QUICK);
+    AddTestCase(new FqCoDelQueueDiscDeficit, TestCase::Duration::QUICK);
+    AddTestCase(new FqCoDelQueueDiscTCPFlowsSeparation, TestCase::Duration::QUICK);
+    AddTestCase(new FqCoDelQueueDiscUDPFlowsSeparation, TestCase::Duration::QUICK);
+    AddTestCase(new FqCoDelQueueDiscECNMarking, TestCase::Duration::QUICK);
+    AddTestCase(new FqCoDelQueueDiscSetLinearProbing, TestCase::Duration::QUICK);
+    AddTestCase(new FqCoDelQueueDiscL4sMode, TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc ns-3.42/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc
--- ns-3.41/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -1160,15 +1160,15 @@
 };
 
 FqPieQueueDiscTestSuite::FqPieQueueDiscTestSuite()
-    : TestSuite("fq-pie-queue-disc", UNIT)
+    : TestSuite("fq-pie-queue-disc", Type::UNIT)
 {
-    AddTestCase(new FqPieQueueDiscNoSuitableFilter, TestCase::QUICK);
-    AddTestCase(new FqPieQueueDiscIPFlowsSeparationAndPacketLimit, TestCase::QUICK);
-    AddTestCase(new FqPieQueueDiscDeficit, TestCase::QUICK);
-    AddTestCase(new FqPieQueueDiscTCPFlowsSeparation, TestCase::QUICK);
-    AddTestCase(new FqPieQueueDiscUDPFlowsSeparation, TestCase::QUICK);
-    AddTestCase(new FqPieQueueDiscSetLinearProbing, TestCase::QUICK);
-    AddTestCase(new FqPieQueueDiscL4sMode, TestCase::QUICK);
+    AddTestCase(new FqPieQueueDiscNoSuitableFilter, TestCase::Duration::QUICK);
+    AddTestCase(new FqPieQueueDiscIPFlowsSeparationAndPacketLimit, TestCase::Duration::QUICK);
+    AddTestCase(new FqPieQueueDiscDeficit, TestCase::Duration::QUICK);
+    AddTestCase(new FqPieQueueDiscTCPFlowsSeparation, TestCase::Duration::QUICK);
+    AddTestCase(new FqPieQueueDiscUDPFlowsSeparation, TestCase::Duration::QUICK);
+    AddTestCase(new FqPieQueueDiscSetLinearProbing, TestCase::Duration::QUICK);
+    AddTestCase(new FqPieQueueDiscL4sMode, TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc ns-3.42/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc
--- ns-3.41/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -397,12 +397,12 @@
 };
 
 PfifoFastQueueDiscTestSuite::PfifoFastQueueDiscTestSuite()
-    : TestSuite("pfifo-fast-queue-disc", UNIT)
+    : TestSuite("pfifo-fast-queue-disc", Type::UNIT)
 {
-    AddTestCase(new PfifoFastQueueDiscTosPrioritization, TestCase::QUICK);
-    AddTestCase(new PfifoFastQueueDiscDscpPrioritization, TestCase::QUICK);
-    AddTestCase(new PfifoFastQueueDiscOverflow, TestCase::QUICK);
-    AddTestCase(new PfifoFastQueueDiscNoPriority, TestCase::QUICK);
+    AddTestCase(new PfifoFastQueueDiscTosPrioritization, TestCase::Duration::QUICK);
+    AddTestCase(new PfifoFastQueueDiscDscpPrioritization, TestCase::Duration::QUICK);
+    AddTestCase(new PfifoFastQueueDiscOverflow, TestCase::Duration::QUICK);
+    AddTestCase(new PfifoFastQueueDiscNoPriority, TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc ns-3.42/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc
--- ns-3.41/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -79,9 +79,7 @@
 
 /**
  * \ingroup system-tests-tcp
- */
-
-/**
+ *
  * Add sample trace values to data structures
  * \param gnuplotTimeSeries Gnuplot data structure
  * \param timeSeries time series of cwnd changes
@@ -101,6 +99,7 @@
 }
 
 /**
+ * \ingroup system-tests-tcp
  * Test Cubic response
  */
 class Ns3TcpCubicTestCase : public TestCase
@@ -364,7 +363,7 @@
                               true,
                               "cwnd outside range");
         // Time just before a reduction does not have much variation
-        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(9), Seconds(9.7), 84, 89),
+        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(9), Seconds(9.6), 84, 89),
                               true,
                               "cwnd outside range");
     }
@@ -381,20 +380,20 @@
     }
     else if (m_prefix == "ns3-tcp-cubic-no-friendly")
     {
-        // Between time 12 and 16, cwnd should be fairly constant
+        // Between time 11 and 15, cwnd should be fairly constant
         // because without TCP friendliness, Cubic does not respond quickly
-        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(12), Seconds(16), 107, 123),
+        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(11), Seconds(15), 107, 123),
                               true,
                               "cwnd outside range");
-        // After time 19.5, cwnd should have grown much higher
-        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(19.5), Seconds(20), 180, 210),
+        // After time 17.5, cwnd should have grown much higher
+        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(17.5), Seconds(18.5), 170, 215),
                               true,
                               "cwnd outside range");
     }
     else if (m_prefix == "ns3-tcp-cubic-friendly")
     {
         // In contrast to previous case, cwnd should grow above 150 much sooner
-        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(12), Seconds(14), 150, 210),
+        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(13), Seconds(15), 150, 210),
                               true,
                               "cwnd outside range");
     }
@@ -403,7 +402,7 @@
 }
 
 /**
- * \ingroup tcp-cubic-tests
+ * \ingroup system-tests-tcp
  * TestSuite for module tcp-cubic
  */
 class Ns3TcpCubicTestSuite : public TestSuite
@@ -413,7 +412,7 @@
 };
 
 Ns3TcpCubicTestSuite::Ns3TcpCubicTestSuite()
-    : TestSuite("ns3-tcp-cubic", UNIT)
+    : TestSuite("ns3-tcp-cubic", Type::UNIT)
 {
     // Test Cubic with no fast convergence or TCP friendliness enabled
     // This results in a cwnd plot that has only the concave portion of
@@ -424,7 +423,7 @@
                                         false,
                                         MilliSeconds(5),
                                         false),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test Cubic with fast convergence but no TCP friendliness enabled
     // This results in a cwnd plot that has concave and convex regions, as
@@ -435,7 +434,7 @@
                                         false,
                                         MilliSeconds(5),
                                         false),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test Cubic with fast convergence but no TCP friendliness enabled
     // with a higher RTT (20ms) and a step change in capacity at time 10s.
@@ -446,7 +445,7 @@
                                         false,
                                         MilliSeconds(20),
                                         true),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test Cubic with fast convergence but with TCP friendliness enabled
     // with a higher RTT (20ms) and a step change in capacity at time 10s.
@@ -457,11 +456,10 @@
                                         true,
                                         MilliSeconds(20),
                                         true),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
- * \ingroup tcp-cubic-tests
  * Static variable for test initialization
  */
 static Ns3TcpCubicTestSuite ns3TcpCubicTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3tcp/ns3tcp-loss-test-suite.cc ns-3.42/src/test/ns3tcp/ns3tcp-loss-test-suite.cc
--- ns-3.41/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -510,23 +510,23 @@
 };
 
 Ns3TcpLossTestSuite::Ns3TcpLossTestSuite()
-    : TestSuite("ns3-tcp-loss", SYSTEM)
+    : TestSuite("ns3-tcp-loss", Type::SYSTEM)
 {
     // We can't use NS_TEST_SOURCEDIR variable here because we use subdirectories
     SetDataDir("src/test/ns3tcp/response-vectors");
     Packet::EnablePrinting(); // Enable packet metadata for all test cases
 
-    AddTestCase(new Ns3TcpLossTestCase("NewReno", 0), TestCase::QUICK);
-    AddTestCase(new Ns3TcpLossTestCase("NewReno", 1), TestCase::QUICK);
-    AddTestCase(new Ns3TcpLossTestCase("NewReno", 2), TestCase::QUICK);
-    AddTestCase(new Ns3TcpLossTestCase("NewReno", 3), TestCase::QUICK);
-    AddTestCase(new Ns3TcpLossTestCase("NewReno", 4), TestCase::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("NewReno", 0), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("NewReno", 1), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("NewReno", 2), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("NewReno", 3), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("NewReno", 4), TestCase::Duration::QUICK);
 
-    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 0), TestCase::QUICK);
-    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 1), TestCase::QUICK);
-    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 2), TestCase::QUICK);
-    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 3), TestCase::QUICK);
-    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 4), TestCase::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 0), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 1), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 2), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 3), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpLossTestCase("WestwoodPlus", 4), TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc ns-3.42/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc
--- ns-3.41/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -223,10 +223,10 @@
 };
 
 Ns3TcpNoDelayTestSuite::Ns3TcpNoDelayTestSuite()
-    : TestSuite("ns3-tcp-no-delay", SYSTEM)
+    : TestSuite("ns3-tcp-no-delay", Type::SYSTEM)
 {
-    AddTestCase(new Ns3TcpNoDelayTestCase(true), TestCase::QUICK);
-    AddTestCase(new Ns3TcpNoDelayTestCase(false), TestCase::QUICK);
+    AddTestCase(new Ns3TcpNoDelayTestCase(true), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpNoDelayTestCase(false), TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3tcp/ns3tcp-socket-test-suite.cc ns-3.42/src/test/ns3tcp/ns3tcp-socket-test-suite.cc
--- ns-3.41/src/test/ns3tcp/ns3tcp-socket-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/ns3tcp/ns3tcp-socket-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -309,10 +309,10 @@
 };
 
 Ns3TcpSocketTestSuite::Ns3TcpSocketTestSuite()
-    : TestSuite("ns3-tcp-socket", SYSTEM)
+    : TestSuite("ns3-tcp-socket", Type::SYSTEM)
 {
-    AddTestCase(new Ns3TcpSocketTestCaseP2P, TestCase::QUICK);
-    AddTestCase(new Ns3TcpSocketTestCaseCsma, TestCase::QUICK);
+    AddTestCase(new Ns3TcpSocketTestCaseP2P, TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpSocketTestCaseCsma, TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3tcp/ns3tcp-state-test-suite.cc ns-3.42/src/test/ns3tcp/ns3tcp-state-test-suite.cc
--- ns-3.41/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -531,21 +531,21 @@
 };
 
 Ns3TcpStateTestSuite::Ns3TcpStateTestSuite()
-    : TestSuite("ns3-tcp-state", SYSTEM)
+    : TestSuite("ns3-tcp-state", Type::SYSTEM)
 {
     // We can't use NS_TEST_SOURCEDIR variable here because we use subdirectories
     SetDataDir("src/test/ns3tcp/response-vectors");
     Packet::EnablePrinting(); // Enable packet metadata for all test cases
 
-    AddTestCase(new Ns3TcpStateTestCase(0), TestCase::QUICK);
-    AddTestCase(new Ns3TcpStateTestCase(1), TestCase::QUICK);
-    AddTestCase(new Ns3TcpStateTestCase(2), TestCase::QUICK);
-    AddTestCase(new Ns3TcpStateTestCase(3), TestCase::QUICK);
-    AddTestCase(new Ns3TcpStateTestCase(4), TestCase::QUICK);
-    AddTestCase(new Ns3TcpStateTestCase(5), TestCase::QUICK);
-    AddTestCase(new Ns3TcpStateTestCase(6), TestCase::QUICK);
-    AddTestCase(new Ns3TcpStateTestCase(7), TestCase::QUICK);
-    AddTestCase(new Ns3TcpStateTestCase(8), TestCase::QUICK);
+    AddTestCase(new Ns3TcpStateTestCase(0), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpStateTestCase(1), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpStateTestCase(2), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpStateTestCase(3), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpStateTestCase(4), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpStateTestCase(5), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpStateTestCase(6), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpStateTestCase(7), TestCase::Duration::QUICK);
+    AddTestCase(new Ns3TcpStateTestCase(8), TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc ns-3.42/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc
--- ns-3.41/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc	2024-02-09 14:44:08.529794500 -0800
+++ ns-3.42/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -206,9 +206,9 @@
 
     // The packet source is an on-off application on the AP device
     InetSocketAddress dest(staNodeInterface.GetAddress(0), udpPort);
-    dest.SetTos(m_tos);
     OnOffHelper onoff("ns3::UdpSocketFactory", dest);
     onoff.SetConstantRate(DataRate("5kbps"), 500);
+    onoff.SetAttribute("Tos", UintegerValue(m_tos));
     ApplicationContainer sourceApp = onoff.Install(ap.Get(0));
     sourceApp.Start(Seconds(1.0));
     sourceApp.Stop(Seconds(4.0));
@@ -333,12 +333,12 @@
 };
 
 WifiAcMappingTestSuite::WifiAcMappingTestSuite()
-    : TestSuite("wifi-ac-mapping", SYSTEM)
+    : TestSuite("wifi-ac-mapping", Type::SYSTEM)
 {
-    AddTestCase(new WifiAcMappingTest(0xb8, 2), TestCase::QUICK); // EF in AC_VI
-    AddTestCase(new WifiAcMappingTest(0x28, 1), TestCase::QUICK); // AF11 in AC_BK
-    AddTestCase(new WifiAcMappingTest(0x70, 0), TestCase::QUICK); // AF32 in AC_BE
-    AddTestCase(new WifiAcMappingTest(0xc0, 3), TestCase::QUICK); // CS7 in AC_VO
+    AddTestCase(new WifiAcMappingTest(0xb8, 2), TestCase::Duration::QUICK); // EF in AC_VI
+    AddTestCase(new WifiAcMappingTest(0x28, 1), TestCase::Duration::QUICK); // AF11 in AC_BK
+    AddTestCase(new WifiAcMappingTest(0x70, 0), TestCase::Duration::QUICK); // AF32 in AC_BE
+    AddTestCase(new WifiAcMappingTest(0xc0, 3), TestCase::Duration::QUICK); // CS7 in AC_VO
 }
 
 static WifiAcMappingTestSuite wifiAcMappingTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3wifi/wifi-issue-211-test-suite.cc ns-3.42/src/test/ns3wifi/wifi-issue-211-test-suite.cc
--- ns-3.41/src/test/ns3wifi/wifi-issue-211-test-suite.cc	2024-02-09 14:44:08.529794500 -0800
+++ ns-3.42/src/test/ns3wifi/wifi-issue-211-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -258,9 +258,9 @@
 };
 
 Issue211TestSuite::Issue211TestSuite()
-    : TestSuite("wifi-issue-211", UNIT)
+    : TestSuite("wifi-issue-211", Type::UNIT)
 {
-    AddTestCase(new Issue211Test, TestCase::QUICK);
+    AddTestCase(new Issue211Test, TestCase::Duration::QUICK);
 }
 
 static Issue211TestSuite g_issue211TestSuite; ///< the test suite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc ns-3.42/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc
--- ns-3.41/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc	2024-02-09 14:44:08.529794500 -0800
+++ ns-3.42/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -218,9 +218,9 @@
 };
 
 WifiMsduAggregatorTestSuite::WifiMsduAggregatorTestSuite()
-    : TestSuite("wifi-msdu-aggregator", SYSTEM)
+    : TestSuite("wifi-msdu-aggregator", Type::SYSTEM)
 {
-    AddTestCase(new WifiMsduAggregatorThroughputTest, TestCase::QUICK);
+    AddTestCase(new WifiMsduAggregatorThroughputTest, TestCase::Duration::QUICK);
 }
 
 static WifiMsduAggregatorTestSuite wifiMsduAggregatorTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/traced/traced-callback-typedef-test-suite.cc ns-3.42/src/test/traced/traced-callback-typedef-test-suite.cc
--- ns-3.41/src/test/traced/traced-callback-typedef-test-suite.cc	2024-02-09 14:44:08.529794500 -0800
+++ ns-3.42/src/test/traced/traced-callback-typedef-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -171,9 +171,9 @@
 TYPENAME(Ipv6L3Protocol::DropTracedCallback);
 TYPENAME(Ipv6L3Protocol::SentTracedCallback);
 TYPENAME(Ipv6L3Protocol::TxRxTracedCallback);
-TYPENAME(LrWpanMac::SentTracedCallback);
-TYPENAME(LrWpanMac::StateTracedCallback);
-TYPENAME(LrWpanPhy::StateTracedCallback);
+TYPENAME(lrwpan::LrWpanMac::SentTracedCallback);
+TYPENAME(lrwpan::LrWpanMac::StateTracedCallback);
+TYPENAME(lrwpan::LrWpanPhy::StateTracedCallback);
 TYPENAME(LteEnbMac::DlSchedulingTracedCallback);
 TYPENAME(LteEnbMac::UlSchedulingTracedCallback);
 TYPENAME(LteEnbPhy::ReportInterferenceTracedCallback);
@@ -382,11 +382,14 @@
 
     CHECK(Ipv6L3Protocol::TxRxTracedCallback, Ptr<const Packet>, Ptr<Ipv6>, uint32_t);
 
-    CHECK(LrWpanMac::SentTracedCallback, Ptr<const Packet>, uint8_t, uint8_t);
+    CHECK(lrwpan::LrWpanMac::SentTracedCallback, Ptr<const Packet>, uint8_t, uint8_t);
 
-    CHECK(LrWpanMac::StateTracedCallback, LrWpanMacState, LrWpanMacState);
+    CHECK(lrwpan::LrWpanMac::StateTracedCallback, lrwpan::MacState, lrwpan::MacState);
 
-    CHECK(LrWpanPhy::StateTracedCallback, Time, LrWpanPhyEnumeration, LrWpanPhyEnumeration);
+    CHECK(lrwpan::LrWpanPhy::StateTracedCallback,
+          Time,
+          lrwpan::PhyEnumeration,
+          lrwpan::PhyEnumeration);
 
     CHECK(LteEnbMac::DlSchedulingTracedCallback,
           uint32_t,
@@ -537,9 +540,9 @@
 };
 
 TracedCallbackTypedefTestSuite::TracedCallbackTypedefTestSuite()
-    : TestSuite("traced-callback-typedef", SYSTEM)
+    : TestSuite("traced-callback-typedef", Type::SYSTEM)
 {
-    AddTestCase(new TracedCallbackTypedefTestCase, TestCase::QUICK);
+    AddTestCase(new TracedCallbackTypedefTestCase, TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/test/traced/traced-value-callback-typedef-test-suite.cc ns-3.42/src/test/traced/traced-value-callback-typedef-test-suite.cc
--- ns-3.41/src/test/traced/traced-value-callback-typedef-test-suite.cc	2024-02-09 14:44:08.529794500 -0800
+++ ns-3.42/src/test/traced/traced-value-callback-typedef-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -259,9 +259,9 @@
 };
 
 TracedValueCallbackTestSuite::TracedValueCallbackTestSuite()
-    : TestSuite("traced-value-callback", UNIT)
+    : TestSuite("traced-value-callback", Type::UNIT)
 {
-    AddTestCase(new TracedValueCallbackTestCase, TestCase::QUICK);
+    AddTestCase(new TracedValueCallbackTestCase, TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc ns-3.42/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc
--- ns-3.41/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc	2024-02-09 14:44:08.529794500 -0800
+++ ns-3.42/src/topology-read/test/rocketfuel-topology-reader-test-suite.cc	2024-05-29 15:29:47.180073700 -0700
@@ -145,10 +145,10 @@
 };
 
 RocketfuelTopologyReaderTestSuite::RocketfuelTopologyReaderTestSuite()
-    : TestSuite("rocketfuel-topology-reader", UNIT)
+    : TestSuite("rocketfuel-topology-reader", Type::UNIT)
 {
-    AddTestCase(new RocketfuelTopologyReaderWeightsTest(), TestCase::QUICK);
-    AddTestCase(new RocketfuelTopologyReaderMapsTest(), TestCase::QUICK);
+    AddTestCase(new RocketfuelTopologyReaderWeightsTest(), TestCase::Duration::QUICK);
+    AddTestCase(new RocketfuelTopologyReaderMapsTest(), TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/traffic-control/examples/fqcodel-l4s-example.cc ns-3.42/src/traffic-control/examples/fqcodel-l4s-example.cc
--- ns-3.41/src/traffic-control/examples/fqcodel-l4s-example.cc	2024-02-09 14:44:08.533794600 -0800
+++ ns-3.42/src/traffic-control/examples/fqcodel-l4s-example.cc	2024-05-29 15:29:47.180073700 -0700
@@ -681,7 +681,7 @@
     }
     else
     {
-        NS_FATAL_ERROR("Fatal error:  scenario unavailble");
+        NS_FATAL_ERROR("Fatal error:  scenario unavailable");
     }
 
     std::ofstream pingOfStream;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/traffic-control/model/pie-queue-disc.cc ns-3.42/src/traffic-control/model/pie-queue-disc.cc
--- ns-3.41/src/traffic-control/model/pie-queue-disc.cc	2024-02-09 14:44:08.537794600 -0800
+++ ns-3.42/src/traffic-control/model/pie-queue-disc.cc	2024-05-29 15:29:47.184073700 -0700
@@ -297,15 +297,9 @@
     }
 
     // Safeguard PIE to be work conserving (Section 4.1 of RFC 8033)
-    if ((m_qDelayOld.GetSeconds() < (0.5 * m_qDelayRef.GetSeconds())) && (m_dropProb < 0.2))
-    {
-        return false;
-    }
-    else if (GetMaxSize().GetUnit() == QueueSizeUnit::BYTES && qSize <= 2 * m_meanPktSize)
-    {
-        return false;
-    }
-    else if (GetMaxSize().GetUnit() == QueueSizeUnit::PACKETS && qSize <= 2)
+    if ((m_qDelayOld.GetSeconds() < (0.5 * m_qDelayRef.GetSeconds()) && m_dropProb < 0.2) ||
+        (GetMaxSize().GetUnit() == QueueSizeUnit::BYTES && qSize <= 2 * m_meanPktSize) ||
+        (GetMaxSize().GetUnit() == QueueSizeUnit::PACKETS && qSize <= 2))
     {
         return false;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc ns-3.42/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc
--- ns-3.41/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc	2024-02-09 14:44:08.537794600 -0800
+++ ns-3.42/src/traffic-control/test/adaptive-red-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
@@ -419,8 +419,8 @@
 {
   public:
     AredQueueDiscTestSuite()
-        : TestSuite("adaptive-red-queue-disc", UNIT)
+        : TestSuite("adaptive-red-queue-disc", Type::UNIT)
     {
-        AddTestCase(new AredQueueDiscTestCase(), TestCase::QUICK);
+        AddTestCase(new AredQueueDiscTestCase(), TestCase::Duration::QUICK);
     }
 } g_aredQueueDiscTestSuite; ///< the test suite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/traffic-control/test/cobalt-queue-disc-test-suite.cc ns-3.42/src/traffic-control/test/cobalt-queue-disc-test-suite.cc
--- ns-3.41/src/traffic-control/test/cobalt-queue-disc-test-suite.cc	2024-02-09 14:44:08.537794600 -0800
+++ ns-3.42/src/traffic-control/test/cobalt-queue-disc-test-suite.cc	2024-05-29 15:29:47.184073700 -0700
@@ -1196,21 +1196,21 @@
 {
   public:
     CobaltQueueDiscTestSuite()
-        : TestSuite("cobalt-queue-disc", UNIT)
+        : TestSuite("cobalt-queue-disc", Type::UNIT)
     {
         // Test 1: simple enqueue/dequeue with no drops
-        AddTestCase(new CobaltQueueDiscBasicEnqueueDequeue(PACKETS), TestCase::QUICK);
-        AddTestCase(new CobaltQueueDiscBasicEnqueueDequeue(BYTES), TestCase::QUICK);
+        AddTestCase(new CobaltQueueDiscBasicEnqueueDequeue(PACKETS), TestCase::Duration::QUICK);
+        AddTestCase(new CobaltQueueDiscBasicEnqueueDequeue(BYTES), TestCase::Duration::QUICK);
         // Test 2: Drop test
-        AddTestCase(new CobaltQueueDiscDropTest(), TestCase::QUICK);
+        AddTestCase(new CobaltQueueDiscDropTest(), TestCase::Duration::QUICK);
         // Test 3: Mark test
-        AddTestCase(new CobaltQueueDiscMarkTest(PACKETS), TestCase::QUICK);
-        AddTestCase(new CobaltQueueDiscMarkTest(BYTES), TestCase::QUICK);
+        AddTestCase(new CobaltQueueDiscMarkTest(PACKETS), TestCase::Duration::QUICK);
+        AddTestCase(new CobaltQueueDiscMarkTest(BYTES), TestCase::Duration::QUICK);
         // Test 4: CE threshold marking test
-        AddTestCase(new CobaltQueueDiscCeThresholdTest(PACKETS), TestCase::QUICK);
-        AddTestCase(new CobaltQueueDiscCeThresholdTest(BYTES), TestCase::QUICK);
+        AddTestCase(new CobaltQueueDiscCeThresholdTest(PACKETS), TestCase::Duration::QUICK);
+        AddTestCase(new CobaltQueueDiscCeThresholdTest(BYTES), TestCase::Duration::QUICK);
         // Test 4: Blue enhancement test
-        AddTestCase(new CobaltQueueDiscEnhancedBlueTest(PACKETS), TestCase::QUICK);
-        AddTestCase(new CobaltQueueDiscEnhancedBlueTest(BYTES), TestCase::QUICK);
+        AddTestCase(new CobaltQueueDiscEnhancedBlueTest(PACKETS), TestCase::Duration::QUICK);
+        AddTestCase(new CobaltQueueDiscEnhancedBlueTest(BYTES), TestCase::Duration::QUICK);
     }
 } g_cobaltQueueTestSuite; ///< the test suite
